org.apache.poi.ss.usermodel

## Enum SheetVisibility

- java.lang.Object
- - java.lang.Enum<SheetVisibility>
  - - org.apache.poi.ss.usermodel.SheetVisibility

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SheetVisibility>

      public enum SheetVisibility
      extends java.lang.Enum<SheetVisibility>

  Specifies sheet visibility
  See Also:
    `Workbook.getSheetVisibility(int)`, `Workbook.setSheetVisibility(int, SheetVisibility)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HIDDEN` Indicates the book window is hidden, but can be shown by the user via the user interface.
    `VERY_HIDDEN` Indicates the sheet is hidden and cannot be shown in the user interface (UI).
    `VISIBLE` Indicates the sheet is visible.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SheetVisibility` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SheetVisibility[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VISIBLE

          public static final SheetVisibility VISIBLE

      Indicates the sheet is visible.

    - #### HIDDEN

          public static final SheetVisibility HIDDEN

      Indicates the book window is hidden, but can be shown by the user via the user interface.

    - #### VERY_HIDDEN

          public static final SheetVisibility VERY_HIDDEN

      Indicates the sheet is hidden and cannot be shown in the user interface (UI).

      In Excel this state is only available programmatically in VBA: `ThisWorkbook.Sheets("MySheetName").Visible = xlSheetVeryHidden`

  - ### Method Detail

    - #### values

          public static SheetVisibility[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SheetVisibility c : SheetVisibility.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SheetVisibility valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.